pydo.monitoring.get_destination()

Generated on 3 Aug 2026 from pydo version v0.40.0

Usage

client.monitoring.get_destination(
    destination_uuid="1a64809f-1708-48ee-a742-dec8d481b8d1",
)
Returns JSONRaises HttpResponseError

Description

To get the details of a destination, send a GET request to /v2/monitoring/sinks/destinations/${destination_uuid}.

Parameters

destination_uuid string required

A unique identifier for a destination.

Response Example

Show Response Example
{
  "destination": {
    "id": "01f30bfa-319a-4769-ba95-9d43971fb514",
    "name": "managed_opensearch_cluster",
    "type": "opensearch_dbaas",
    "config": {
      "id": "41078d41-165c-4cff-9f0a-19536e3e3d49",
      "endpoint": "example.com",
      "cluster_uuid": "85148069-7e35-4999-80bd-6fa1637ca385",
      "cluster_name": "managed_dbaas_cluster",
      "index_name": "logs",
      "retention_days": 14
    }
  }
}

More Information

See /v2/monitoring/sinks/destinations/{destination_uuid} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.